POST api/badgereaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "533b7462-013a-4ed7-b3fd-9357229158ff",
"name": "sample string 2",
"pc_id": "1d32429e-1464-4661-9250-22657c752a64",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "cd14d4ac-8202-4dac-9591-2d6b272f6452",
"site_id": "a93afc88-092e-45f7-aaab-0cabcadda505",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>cd14d4ac-8202-4dac-9591-2d6b272f6452</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>533b7462-013a-4ed7-b3fd-9357229158ff</id> <name>sample string 2</name> <parity>6</parity> <pc_id>1d32429e-1464-4661-9250-22657c752a64</pc_id> <site_id>a93afc88-092e-45f7-aaab-0cabcadda505</site_id> <stop_bits>8</stop_bits> </badgereader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3b8bf08b-29b6-4a27-86d3-1f0a4008dda9"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3b8bf08b-29b6-4a27-86d3-1f0a4008dda9</guid>